// Copyright 2000-2005 the Contributors, as shown in the revision logs.
// Licensed under the Apache Public Source License 2.0 ("the License").
// You may not use this file except in compliance with the License.

package org.ibex.util;
import java.io.*;

/** a generic interface for things that "know" their length */
public interface KnownLength {

    public abstract int getLength();

    public static class KnownLengthInputStream extends FilterInputStream implements KnownLength {
        int length;
        public int getLength() { return length; }
        public KnownLengthInputStream(java.io.InputStream parent, int length) {
            super(parent);
            this.length = length;
        }
    }

}
